## visad.data.netcdf.in
Class Context

    java.lang.Object
      visad.data.netcdf.in.Context

public class Context
extends Object

Provides support for the context in which data values are retrieved. Instances are mutable.

Constructor Summary
`Context()` Constructs from nothing.

Method Summary
`Object` `clone()` Returns a clone of this instance.
`int[]` `getContext()` Returns the current context.
`Context` `newSubContext()` Gets a new (sub) context based on this context.
`void` `setSubContext(int index)` Sets the current (sub) context.
`String` `toString()` Returns a string representation of this context.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Context

    public Context()

  Constructs from nothing.

Method Detail

### newSubContext

    public Context newSubContext()

  Gets a new (sub) context based on this context.

  Returns:
    A (sub) context.

### setSubContext

    public void setSubContext(int index)

  Sets the current (sub) context.

  Parameters:
    `index` - The current (sub) context.

### getContext

    public int[] getContext()

  Returns the current context.

  Returns:
    The current context.

### toString

    public String toString()

  Returns a string representation of this context.

### clone

    public Object clone()

  Returns a clone of this instance.

  Returns:
    A clone of this instance.